"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getCSSLoaders = getCSSLoaders;

var _miniCssExtractPlugin = _interopRequireDefault(require("mini-css-extract-plugin"));

var _configPostCssLoader = require("./loaderConfigs/configPostCssLoader");

var _getCssLoaderOptions = require("./loaderConfigs/getCssLoaderOptions");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getCSSLoaders(options) {
  const cssLoaderOptions = (0, _getCssLoaderOptions.getCssLoaderOptions)(options);
  return [{
    loader: require.resolve('./loaders/miniCssFallBackLoader')
  }, {
    loader: _miniCssExtractPlugin.default.loader,
    options: {
      publicPath: '../'
    }
  }, {
    loader: 'css-loader',
    options: cssLoaderOptions
  }, (0, _configPostCssLoader.configPostCssLoader)(options)].filter(Boolean);
}