"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.run = run;

var _corsHandling = require("./corsHandling");

var _initExpressApp = require("./initExpressApp");

var _configWebpackDevMiddleware = require("./configWebpackDevMiddleware");

var _startHttpsServer = require("./startHttpsServer");

var _initialHTMLHandling = require("./initialHTMLHandling");

var _startHttpServer = require("./startHttpServer");

var _mockApiHandler = require("./mockApiHandler");

// import { serveContextFiles } from './serveContextFiles';
// import { startHttpServer } from './startHttpServer';
function run(options) {
  const app = (0, _initExpressApp.initExpressApp)();
  (0, _corsHandling.corsHandling)(app, options);
  (0, _mockApiHandler.mockApiHandler)(app, options);
  const {
    compiler
  } = (0, _configWebpackDevMiddleware.configWebpackDevMiddleware)(app, options); // serveContextFiles(app, options);

  (0, _startHttpsServer.startHttpsServer)(app, options);
  (0, _startHttpServer.startHttpServer)(app, options);
  (0, _initialHTMLHandling.initialHTMLHandling)(compiler, app, options);
}